package com.fos.modules.tableView.bean;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseBean;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

/**
 * Created by Tony on 8/5/2016.
 */
public class Table2UserNameBean extends BaseBean {

    @NotEmpty(message="seatNo不能为NULL")
    @JSONField(name = "seat")
    private String seat; //桌号
    
    @NotEmpty(message="tableArea不能为NULL")
    @JSONField(name = "tableArea")
    private String tableArea; //桌号

    @NotEmpty(message="nickNames密码不能为NULL")
    @JSONField(name = "nickNames")
    private List<String> nickNames; //昵称

    public List<String> getNickNames() {
        return nickNames;
    }

    public void setNickNames(List<String> nickNames) {
        this.nickNames = nickNames;
    }

    public String getSeat() {
        return seat;
    }

    public void setSeat(String seat) {
        this.seat = seat;
    }

	public String getTableArea() {
		return tableArea;
	}

	public void setTableArea(String tableArea) {
		this.tableArea = tableArea;
	}
    
}
